"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isJWTToken = void 0;
/**
 * Checks if a given access token is a JWT.
 *
 * @param {string} accessToken - The access token to check
 * @returns {boolean} True if the token is a valid JWT token, false otherwise.
 */
function isJWTToken(accessToken) {
    const parts = accessToken.split('.');
    if (parts.length !== 3)
        return false;
    const header = parts[0];
    try {
        JSON.parse(atob(header));
        return true;
    }
    catch (err) {
        return false;
    }
}
exports.isJWTToken = isJWTToken;
